[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazDialogs' (#lcl)

# TLazOpenDialog.DoExecute

Executes the file open dialog.

## Declaration

Source position: lazdialogs.pas line 54

`protected function TLazOpenDialog.DoExecute: Boolean; override;`

## Function result

True when the file open dialog was not cancelled during execution.

## Description

DoExecute is an overridden Boolean function used to execute the Lazarus File Open dialog. The return value is True when the ShowModal method in the dialog form is a value other than mrCancel. DoExecute also updates the FileName member to reflect the value returned on the dialog form.

## See also

TLazarusFileDialogForm |  | Implements the form displayed for TLazOpenDialog descendants.
TLazarusFileDialogForm.FileName |  | File name for the selected file in the Lazarus dialog form.
TCustomForm.ShowModal |  | Displays the form as a modal dialog.